Bug 135982 - usb.agent runaway while hal hotplug writes errors to syslog
usb.agent runaway while hal hotplug writes errors to syslog
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-15 23:46 EDT by kaye gee
Modified: 2015-01-04 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:02:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kaye gee 2004-10-15 23:46:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040805 Netscape/7.2

Description of problem:
Mouse movment became erratic. I checked the log and saw the following
message.

Oct 15 23:17:35 oasis kernel: hub 2-2:1.0: Cannot enable port 4. 
Maybe the USB cable is bad?
Oct 15 23:17:36 oasis kernel: hub 2-2:1.0: connect-debounce failed,
port 4 disabled
Oct 15 23:17:43 oasis last message repeated 4 times
Oct 15 23:17:44 oasis hal.hotplug[3849]: timout(10000 ms) waiting for
/devices/pci0000:00/0000:00:02.0/usb2/2-2/2-2.4
Oct 15 23:17:45 oasis kernel: hub 2-2:1.0: connect-debounce failed,
port 4 disabled
Oct 15 23:17:50 oasis last message repeated 3 times
Oct 15 23:17:52 oasis kernel: hub 2-2:1.0: Cannot enable port 4. 
Maybe the USB cable is bad?
Oct 15 23:17:53 oasis kernel: hub 2-2:1.0: Cannot enable port 4. 
Maybe the USB cable is bad?
Oct 15 23:17:54 oasis kernel: usb 2-2.4: new full speed USB device
using address 7
Oct 15 23:17:54 oasis kernel: usb 2-2.4: can't set config #1, error -110
Oct 15 23:17:55 oasis kernel: hub 2-2:1.0: Cannot enable port 4. 
Maybe the USB cable is bad?
Oct 15 23:17:57 oasis kernel: hub 2-2:1.0: connect-debounce failed,
port 4 disabled
Oct 15 23:17:58 oasis kernel: hub 2-2:1.0: connect-debounce failed,
port 4 disabled
Oct 15 23:18:00 oasis kernel: usb 2-2.4: new full speed USB device
using address 9
Oct 15 23:18:01 oasis kernel: usb 2-2.4: device not accepting address
9, error -110
Oct 15 23:18:01 oasis kernel: hub 2-2:1.0: Cannot enable port 4. 
Maybe the USB cable is bad?
Oct 15 23:18:03 oasis kernel: hub 2-2:1.0: connect-debounce failed,
port 4 disabled
Oct 15 23:18:04 oasis kernel: usb 2-2.4: new full speed USB device
using address 11
Oct 15 23:18:04 oasis kernel: usb 2-2.4: can't set config #1, error -110
Oct 15 23:18:05 oasis wait_for_sysfs[3860]: either wait_for_sysfs
(udev 038) needs an update to handle the device
'/devices/pci0000:00/0000:00:02.0/usb2/2-2/2-2.4' properly (8) or the
sysfs-support of your device's driver needs to be fixed, please report
to <linux-hotplug-devel@lists.sourceforge.net>
Oct 15 23:18:05 oasis kernel: hub 2-2:1.0: Cannot enable port 4. 
Maybe the USB cable is bad?
Oct 15 23:18:07 oasis kernel: hub 2-2:1.0: connect-debounce failed,
port 4 disabled
Oct 15 23:18:09 oasis kernel: hub 2-2:1.0: connect-debounce failed,
port 4 disabled
Oct 15 23:18:10 oasis kernel: hub 2-2:1.0: Cannot enable port 4. 
Maybe the USB cable is bad?
Oct 15 23:18:11 oasis kernel: hub 2-2:1.0: Cannot enable port 4. 
Maybe the USB cable is bad?
Oct 15 23:18:12 oasis kernel: hub 2-2:1.0: connect-debounce failed,
port 4 disabled
Oct 15 23:18:14 oasis kernel: hub 2-2:1.0: connect-debounce failed,
port 4 disabled
Oct 15 23:18:15 oasis hal.hotplug[3887]: timout(10000 ms) waiting for
/devices/pci0000:00/0000:00:02.0/usb2/2-2/2-2.4
Oct 15 23:18:15 oasis wait_for_sysfs[3875]: either wait_for_sysfs
(udev 038) needs an update to handle the device
'/devices/pci0000:00/0000:00:02.0/usb2/2-2/2-2.4' properly (8) or the
sysfs-support of your device's driver needs to be fixed, please report
to <linux-hotplug-devel@lists.sourceforge.net>
Oct 15 23:18:16 oasis kernel: hub 2-2:1.0: connect-debounce failed,
port 4 disabled
Oct 15 23:18:25 oasis last message repeated 5 times
Oct 15 23:18:25 oasis hal.hotplug[3898]: timout(10000 ms) waiting for
/devices/pci0000:00/0000:00:02.0/usb2/2-2/2-2.4
Oct 15 23:18:26 oasis kernel: hub 2-2:1.0: connect-debounce failed,
port 4 disabled
Oct 15 23:18:58 oasis last message repeated 18 times
Oct 15 23:20:00 oasis last message repeated 35 times



Ran top and it showed usb.agent using 92% of the cpu. The process
would not respond to a kill -9 and the machine had to be rebooted. Now
periodically 1 to 2 usb.agents are active and 


Version-Release number of selected component (if applicable):
hotplug-2004_04_01-6

How reproducible:
Always

Steps to Reproduce:
1.Loaded hotplug and other updates
2.Problem appeared on its own.
3.
    

Actual Results:  Error messages appeared in syslog along with
usb.agent using a large amount of cpu.

Expected Results:  No error in syslog and no high cpu utilization.

Additional info:

I am able to print a test page to my usb printer, but it took a long time.
Comment 1 kaye gee 2004-10-18 03:08:53 EDT
Installed latest updates which included hal-0.4.0-3 and udev-038-2.
Since installing these updates, the errors in the syslog have gone
away. Also, I am unable to find usb.agent active on the system. If it
is running, the frequency of execution has dwindled significantly. My
usb printer was deleted and added back to the system. It also appears
to be working properly now. 
Comment 2 kaye gee 2004-10-18 04:08:16 EDT
I rebooted the system and found the following repeated errors

Oct 18 04:02:56 oasis udev[4661]: removing device node '/dev/usb/lp1'
Oct 18 04:02:56 oasis kernel: usb 2-2.4: USB disconnect, address 7
Oct 18 04:02:56 oasis kernel: drivers/usb/class/usblp.c: usblp1: removed
Oct 18 04:02:58 oasis kernel: hub 2-2:1.0: connect-debounce failed,
port 4 disabled
Oct 18 04:03:17 oasis last message repeated 11 times
Oct 18 04:03:18 oasis kernel: usb 2-2.4: new full speed USB device
using address 8
Oct 18 04:03:18 oasis kernel: usb 2-2.4: can't set config #1, error -110
Oct 18 04:03:19 oasis kernel: hub 2-2:1.0: Cannot enable port 4. 
Maybe the USB cable is bad?
Oct 18 04:03:19 oasis kernel: usb 2-2.4: new full speed USB device
using address 10
Oct 18 04:03:19 oasis kernel: drivers/usb/class/usblp.c: usblp0: USB
Bidirectional printer dev 10 if 0 alt 1 proto 2 vid 0x03F0 pid 0x0217
Oct 18 04:03:19 oasis udev[4928]: configured rule in
'/etc/udev/rules.d/50-udev.rules' at line 31 applied, added symlink
'par%n'
Oct 18 04:03:19 oasis udev[4928]: configured rule in
'/etc/udev/rules.d/50-udev.rules' at line 32 applied, 'lp1' becomes
'usb/%k'
Oct 18 04:03:19 oasis udev[4928]: creating device node '/dev/usb/lp1'
Oct 18 04:03:19 oasis 05-pam_console.dev[4946]: Restoring console
permissions for /dev/usb/lp1  /dev/par1
Oct 18 04:03:20 oasis udev[4971]: removing device node '/dev/usb/lp1'
Oct 18 04:03:20 oasis kernel: usb 2-2.4: USB disconnect, address 10
Oct 18 04:03:20 oasis kernel: drivers/usb/class/usblp.c: usblp1: removed
Oct 18 04:03:21 oasis kernel: usb 2-2.4: new full speed USB device
using address 11
Oct 18 04:03:21 oasis kernel: usb 2-2.4: device not accepting address
11, error -110
Oct 18 04:03:22 oasis kernel: hub 2-2:1.0: Cannot enable port 4. 
Maybe the USB cable is bad?
Oct 18 04:03:22 oasis kernel: usb 2-2.4: new full speed USB device
using address 13
Oct 18 04:03:22 oasis kernel: usb 2-2.4: unable to read config index 0
descriptor/all
Oct 18 04:03:22 oasis kernel: usb 2-2.4: can't read configurations,
error -110
Oct 18 04:03:23 oasis kernel: hub 2-2:1.0: Cannot enable port 4. 
Maybe the USB cable is bad?
Oct 18 04:03:23 oasis kernel: usb 2-2.4: new full speed USB device
using address 15
Oct 18 04:03:23 oasis kernel: usb 2-2.4: can't set config #1, error -110
Oct 18 04:03:24 oasis kernel: hub 2-2:1.0: Cannot enable port 4. 
Maybe the USB cable is bad?
Oct 18 04:03:26 oasis last message repeated 2 times
Oct 18 04:03:26 oasis kernel: usb 2-2.4: new full speed USB device
using address 19
Oct 18 04:03:26 oasis kernel: usb 2-2.4: unable to read config index 0
descriptor/all
Oct 18 04:03:26 oasis kernel: usb 2-2.4: can't read configurations,
error -110
Oct 18 04:03:27 oasis kernel: hub 2-2:1.0: Cannot enable port 4. 
Maybe the USB cable is bad?
Oct 18 04:03:27 oasis kernel: usb 2-2.4: new full speed USB device
using address 21
Oct 18 04:03:27 oasis kernel: drivers/usb/class/usblp.c: usblp0: USB
Bidirectional printer dev 21 if 0 alt 1 proto 2 vid 0x03F0 pid 0x0217
Oct 18 04:03:27 oasis udev[5165]: configured rule in
'/etc/udev/rules.d/50-udev.rules' at line 31 applied, added symlink
'par%n'
Oct 18 04:03:27 oasis udev[5165]: configured rule in
'/etc/udev/rules.d/50-udev.rules' at line 32 applied, 'lp1' becomes
'usb/%k'
Oct 18 04:03:28 oasis udev[5165]: creating device node '/dev/usb/lp1'
Oct 18 04:03:28 oasis 05-pam_console.dev[5181]: Restoring console
permissions for /dev/usb/lp1  /dev/par1
Oct 18 04:03:28 oasis udev[5195]: removing device node '/dev/usb/lp1'
Oct 18 04:03:28 oasis kernel: usb 2-2.4: USB disconnect, address 21
Oct 18 04:03:28 oasis kernel: drivers/usb/class/usblp.c: usblp1: removed
Oct 18 04:03:29 oasis kernel: usb 2-2.4: new full speed USB device
using address 22
Oct 18 04:03:29 oasis kernel: drivers/usb/class/usblp.c: usblp0: USB
Bidirectional printer dev 22 if 0 alt 1 proto 2 vid 0x03F0 pid 0x0217
Oct 18 04:03:29 oasis kernel: usb 2-2.4: USB disconnect, address 22
Oct 18 04:03:29 oasis kernel: drivers/usb/class/usblp.c: usblp1: removed
Oct 18 04:03:30 oasis kernel: usb 2-2.4: new full speed USB device
using address 23
Comment 3 Dave Jones 2005-07-15 15:23:32 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Dave Jones 2005-10-02 20:02:38 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.